module Mks
  module Rent
    class Offer < ApplicationRecord
      belongs_to :prepared_by, class_name: 'Mks::Auth::User'
      belongs_to :offer_request

      validates :confirmed, :booked, inclusion: { in: [true, false] }
    end
  end
end