class CreateMksRentOfferItems < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_rent_offer_items do |t|
      t.references :service_bundle, index: { name: 'sb_on_oi_indx' }
      t.date :from, null: false
      t.date :to, null: false
      t.float :unit_price, null: false
      t.references :offer, index: { name: 'offer_on_oi_indx' }

      t.timestamps
    end

    add_foreign_key :mks_rent_offer_items, :mks_rate_service_bundles, column: :service_bundle_id
    add_foreign_key :mks_rent_offer_items, :mks_rent_offers, column: :offer_id
  end
end
