class CreateMksRentRequestItems < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_rent_request_items do |t|
      t.references :service_bundle, index: { name: 'sb_on_er_indx' }
      t.date :from, null: false
      t.date :to, null: false
      t.integer :quantity, null: false
      t.references :offer_request, index: { name: 'or_on_er_indx' }

      t.timestamps
    end

    add_foreign_key :mks_rent_request_items, :mks_rate_service_bundles, column: :service_bundle_id
    add_foreign_key :mks_rent_request_items, :mks_rent_offer_requests, column: :offer_request_id
  end
end
