app_module = Mks::Auth::ApplicationModule.where(code: 'ERM', name: 'Equipment Rent Module').first_or_create
rent_manager = Mks::Auth::UserRole.where(name: 'rete_manager', application_module_id: app_module.id).first_or_create
rent_requestor = Mks::Auth::UserRole.where(name: 'rate_requestor', application_module_id: app_module.id).first_or_create

menu1 = Mks::Auth::Menu.where(text: 'Equipment Rent', application_module_id: app_module.id).first_or_create

Mks::Auth::Menu.where(text: 'Rent Request', parent_id: menu1.id, location: 'rent_requests',
                      application_module_id: app_module.id).first_or_create

rent_requestor_menu = rent_requestor.menus.where(application_module_id: app_module.id)
rent_requestor.menus.delete(rent_requestor_menu)
rent_requestor.menus << menu1
rent_requestor.menus << menu1.children

u = Mks::Auth::User.where(first_name: 'Henock', last_name: 'L.')
if u.empty?
  u = Mks::Auth::User.create(first_name: 'Henock', last_name: 'L.', email: 'henockl@live.com', active: true,
                             application_modules: [app_module], password: 'henock123')
  u.roles << rent_requestor
end